Susurs

macrumors 65816
Original poster
Jun 18, 2010
1,480
8,566
I received an e-mail today which stated amongst other:

“To meet the new PCI Data Security Standard (PCI DSS) required by all websites that hold payment data, PayPal will no longer support outdated web browsers.”

That e-mail seemingly refered to PP UK and stated that browser will not be supported after 30th June...

Not sure if it originated from PP, or is it some kind of trick...so I forwarded it for verification.

I am using the latest version of iOS - 11.4 with Safari...

Anyone else has received something similar?
 
Last edited:

C DM

macrumors Sandy Bridge
Oct 17, 2011
51,388
19,449
I received an e-mail today which stated amongst other:

“To meet the new PCI Data Security Standard (PCI DSS) required by all websites that hold payment data, PayPal will no longer support outdated web browsers.”

That e-mail seemingly refered to PP UK and stated that browser will not be supported after 30th June...

Not sure if it originated from PP, or is it some kind of trick...so I forwarded it for verification.

I am using the latest version of iOS - 11.4 ...

Anyone else has received something similar?
Which browser will not be supported?
 
Comment

Susurs

macrumors 65816
Original poster
Jun 18, 2010
1,480
8,566
Which browser will not be supported?

It did not say specifically within the e-mail. Just: “The web browser you're currently using is not compliant with our security standards and will no longer be supported. Don't worry, upgrading won't take long.”

I was using my mobile device lately with only Safari - and that is what I do not understand...Maybe some mistake...
 
Comment

dictoresno

macrumors 601
Apr 30, 2012
4,250
500
NJ
I noticed it the other day while on PayPal’s website on safari on my iMac. It’s a generic “warning” bar at the top of the web page. I thought there’s no way this safari isn’t compliant. I read the banner closer and it stated to click somewhere to read which browsers were gonna have an issue. It wasn’t specifically saying yours is affected. It’s just a generic statement for all to see and inquire closer if needed.

I think I read somewhere that internet explorer is like the only browser that is gonna have issues.

The link below give you a link to “test” if your browser meets the security requirements

https://www.paypal.com/sg/smarthelp/article/faq3893


bc381f1a2d624de0976f3d6d0e0f319f.png
 
Comment
Register on MacRumors! This sidebar will go away, and you'll see fewer ads.